API search fails

08/27/2017 12:44 AM - Luke Murphey

Status: Closed Start date: 08/26/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6   

Description

2017-08-26 02:21:59,307 CST [ERROR] django.request: Internal Server Error: /api/search/work:the-hi

stories

Traceback (most recent call last):

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/core/handlers/ba

se.py", line 132, in get_response

    response = wrapped_callback(request, *callback_args, **callback_kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/utils/decorators

.py", line 110, in _wrapped_view

    response = view_func(request, *args, **kwargs)

  File "/var/webapps/textcritical.com/reader/views.py", line 777, in api_search

    search_results = search_verses( search_text, page=page, pagelen=pagelen, include_related_forms

=include_related_forms, ignore_diacritics=ignore_diacritics )

  File "/var/webapps/textcritical.com/reader/contentsearch.py", line 752, in search_verses

    search_results = VerseSearchResults( searcher.search_page(search_query, page, pagelen, terms=T

rue, sortedby="verse_id"), page, pagelen)

  File "/var/webapps/textcritical.com/reader/contentsearch.py", line 390, in __init__

    verse = Verse.objects.get(id=r['verse_id'])

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/db/models/manage

r.py", line 127, in manager_method

    return getattr(self.get_queryset(), name)(*args, **kwargs)

  File "/var/virtualenv/textcritical_net/local/lib/python2.7/site-packages/django/db/models/query.

py", line 334, in get

    self.model._meta.object_name

DoesNotExist: Verse matching query does not exist.

History

#1 - 08/27/2017 02:41 AM - Luke Murphey

- Subject changed from API search files to API search fails

#2 - 08/27/2017 05:19 AM - Luke Murphey

Just need to make indexes for on-the-natural-faculties-brock. This is in-progress.

#3 - 08/27/2017 05:19 AM - Luke Murphey

- % Done changed from 0 to 80

#4 - 08/28/2017 07:37 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 80 to 100

#5 - 08/29/2017 07:36 AM - Luke Murphey

python manage.py make_search_indexes -f -w on-the-natural-faculties

python manage.py make_search_indexes -f -w on-the-natural-faculties-brock
